// The MIT License (MIT)
// Copyright © 2022 Ivan Vorobei (hello@ivanvorobei.by)
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

import UIKit

extension SFSymbol {

	public static var arrow: Arrow { .init(name: "arrow") }

	open class Arrow: SFSymbol {

		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var _2Squarepath: SFSymbol { ext(.start + ".2.squarepath") }

		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var _3Trianglepath: SFSymbol { ext(.start + ".3.trianglepath") }

		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var backward: SFSymbol { ext(.start + ".backward") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var backwardCircle: SFSymbol { ext(.start + ".backward".circle) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var backwardCircleFill: SFSymbol { ext(.start + ".backward".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var backwardSquare: SFSymbol { ext(.start + ".backward".square) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var backwardSquareFill: SFSymbol { ext(.start + ".backward".square.fill) }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var backwardToLine: SFSymbol { ext(.start + ".backward.to.line") }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var backwardToLineCircle: SFSymbol { ext(.start + ".backward.to.line".circle) }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var backwardToLineCircleFill: SFSymbol { ext(.start + ".backward.to.line".circle.fill) }

		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var clockwise: SFSymbol { ext(.start + ".clockwise") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var clockwiseCircle: SFSymbol { ext(.start + ".clockwise".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var clockwiseCircleFill: SFSymbol { ext(.start + ".clockwise".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var clockwiseHeart: SFSymbol { ext(.start + ".clockwise.heart") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var clockwiseHeartFill: SFSymbol { ext(.start + ".clockwise.heart".fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var clockwiseIcloud: SFSymbol { ext(.start + ".clockwise.icloud") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var clockwiseIcloudFill: SFSymbol { ext(.start + ".clockwise.icloud".fill) }

		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var counterclockwise: SFSymbol { ext(.start + ".counterclockwise") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var counterclockwiseCircle: SFSymbol { ext(.start + ".counterclockwise".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var counterclockwiseCircleFill: SFSymbol { ext(.start + ".counterclockwise".circle.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var counterclockwiseIcloud: SFSymbol { ext(.start + ".counterclockwise.icloud") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var counterclockwiseIcloudFill: SFSymbol { ext(.start + ".counterclockwise.icloud".fill) }

		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var down: SFSymbol { ext(.start + ".down") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downApp: SFSymbol { ext(.start + ".down".app) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downAppFill: SFSymbol { ext(.start + ".down".app.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downBackward: SFSymbol { ext(.start + ".down.backward") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downBackwardCircle: SFSymbol { ext(.start + ".down.backward".circle) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downBackwardCircleFill: SFSymbol { ext(.start + ".down.backward".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downBackwardSquare: SFSymbol { ext(.start + ".down.backward".square) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downBackwardSquareFill: SFSymbol { ext(.start + ".down.backward".square.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downCircle: SFSymbol { ext(.start + ".down".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downCircleFill: SFSymbol { ext(.start + ".down".circle.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downDoc: SFSymbol { ext(.start + ".down.doc") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downDocFill: SFSymbol { ext(.start + ".down.doc".fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downForward: SFSymbol { ext(.start + ".down.forward") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downForwardAndArrowUpBackward: SFSymbol { ext(.start + ".down.forward.and.arrow.up.backward") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downForwardAndArrowUpBackwardCircle: SFSymbol { ext(.start + ".down.forward.and.arrow.up.backward".circle) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downForwardAndArrowUpBackwardCircleFill: SFSymbol { ext(.start + ".down.forward.and.arrow.up.backward".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downForwardCircle: SFSymbol { ext(.start + ".down.forward".circle) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downForwardCircleFill: SFSymbol { ext(.start + ".down.forward".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downForwardSquare: SFSymbol { ext(.start + ".down.forward".square) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downForwardSquareFill: SFSymbol { ext(.start + ".down.forward".square.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downHeart: SFSymbol { ext(.start + ".down.heart") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downHeartFill: SFSymbol { ext(.start + ".down.heart".fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downLeft: SFSymbol { ext(.start + ".down.left") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downLeftCircle: SFSymbol { ext(.start + ".down.left".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downLeftCircleFill: SFSymbol { ext(.start + ".down.left".circle.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downLeftSquare: SFSymbol { ext(.start + ".down.left".square) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downLeftSquareFill: SFSymbol { ext(.start + ".down.left".square.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downLeftVideo: SFSymbol { ext(.start + ".down.left.video") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downLeftVideoFill: SFSymbol { ext(.start + ".down.left.video".fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downRight: SFSymbol { ext(.start + ".down.right") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downRightAndArrowUpLeft: SFSymbol { ext(.start + ".down.right.and.arrow.up.left") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downRightAndArrowUpLeftCircle: SFSymbol { ext(.start + ".down.right.and.arrow.up.left".circle) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var downRightAndArrowUpLeftCircleFill: SFSymbol { ext(.start + ".down.right.and.arrow.up.left".circle.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downRightCircle: SFSymbol { ext(.start + ".down.right".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downRightCircleFill: SFSymbol { ext(.start + ".down.right".circle.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downRightSquare: SFSymbol { ext(.start + ".down.right".square) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downRightSquareFill: SFSymbol { ext(.start + ".down.right".square.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downSquare: SFSymbol { ext(.start + ".down".square) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downSquareFill: SFSymbol { ext(.start + ".down".square.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var downToLine: SFSymbol { ext(.start + ".down.to.line") }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var downToLineCircle: SFSymbol { ext(.start + ".down.to.line".circle) }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var downToLineCircleFill: SFSymbol { ext(.start + ".down.to.line".circle.fill) }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var downToLineCompact: SFSymbol { ext(.start + ".down.to.line.compact") }

		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var forward: SFSymbol { ext(.start + ".forward") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var forwardCircle: SFSymbol { ext(.start + ".forward".circle) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var forwardCircleFill: SFSymbol { ext(.start + ".forward".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var forwardSquare: SFSymbol { ext(.start + ".forward".square) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var forwardSquareFill: SFSymbol { ext(.start + ".forward".square.fill) }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var forwardToLine: SFSymbol { ext(.start + ".forward.to.line") }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var forwardToLineCircle: SFSymbol { ext(.start + ".forward.to.line".circle) }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var forwardToLineCircleFill: SFSymbol { ext(.start + ".forward.to.line".circle.fill) }

		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var left: SFSymbol { ext(.start + ".left") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var leftAndRight: SFSymbol { ext(.start + ".left.and.right") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var leftAndRightCircle: SFSymbol { ext(.start + ".left.and.right".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var leftAndRightCircleFill: SFSymbol { ext(.start + ".left.and.right".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var leftAndRightRighttriangleLeftRighttriangleRight: SFSymbol { ext(.start + ".left.and.right.righttriangle.left.righttriangle.right") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var leftAndRightRighttriangleLeftRighttriangleRightFill: SFSymbol { ext(.start + ".left.and.right.righttriangle.left.righttriangle.right".fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var leftAndRightSquare: SFSymbol { ext(.start + ".left.and.right".square) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var leftAndRightSquareFill: SFSymbol { ext(.start + ".left.and.right".square.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var leftArrowRight: SFSymbol { ext(.start + ".left.arrow.right") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var leftArrowRightCircle: SFSymbol { ext(.start + ".left.arrow.right".circle) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var leftArrowRightCircleFill: SFSymbol { ext(.start + ".left.arrow.right".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var leftArrowRightSquare: SFSymbol { ext(.start + ".left.arrow.right".square) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var leftArrowRightSquareFill: SFSymbol { ext(.start + ".left.arrow.right".square.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var leftCircle: SFSymbol { ext(.start + ".left".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var leftCircleFill: SFSymbol { ext(.start + ".left".circle.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var leftSquare: SFSymbol { ext(.start + ".left".square) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var leftSquareFill: SFSymbol { ext(.start + ".left".square.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var leftToLine: SFSymbol { ext(.start + ".left.to.line") }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var leftToLineCircle: SFSymbol { ext(.start + ".left.to.line".circle) }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var leftToLineCircleFill: SFSymbol { ext(.start + ".left.to.line".circle.fill) }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var leftToLineCompact: SFSymbol { ext(.start + ".left.to.line.compact") }

		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var rectanglepath: SFSymbol { ext(.start + ".rectanglepath") }

		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var right: SFSymbol { ext(.start + ".right") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var rightCircle: SFSymbol { ext(.start + ".right".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var rightCircleFill: SFSymbol { ext(.start + ".right".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var rightDocOnClipboard: SFSymbol { ext(.start + ".right.doc.on.clipboard") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var rightSquare: SFSymbol { ext(.start + ".right".square) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var rightSquareFill: SFSymbol { ext(.start + ".right".square.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var rightToLine: SFSymbol { ext(.start + ".right.to.line") }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var rightToLineCircle: SFSymbol { ext(.start + ".right.to.line".circle) }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var rightToLineCircleFill: SFSymbol { ext(.start + ".right.to.line".circle.fill) }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var rightToLineCompact: SFSymbol { ext(.start + ".right.to.line.compact") }

		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var triangle_2Circlepath: SFSymbol { ext(.start + ".triangle.2.circlepath") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var triangle_2CirclepathCamera: SFSymbol { ext(.start + ".triangle.2.circlepath.camera") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var triangle_2CirclepathCameraFill: SFSymbol { ext(.start + ".triangle.2.circlepath.camera".fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var triangle_2CirclepathCircle: SFSymbol { ext(.start + ".triangle.2.circlepath".circle) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var triangle_2CirclepathCircleFill: SFSymbol { ext(.start + ".triangle.2.circlepath".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var triangle_2CirclepathDocOnClipboard: SFSymbol { ext(.start + ".triangle.2.circlepath.doc.on.clipboard") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var triangleBranch: SFSymbol { ext(.start + ".triangle.branch") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var triangleCapsulepath: SFSymbol { ext(.start + ".triangle.capsulepath") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var triangleMerge: SFSymbol { ext(.start + ".triangle.merge") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var trianglePull: SFSymbol { ext(.start + ".triangle.pull") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var triangleSwap: SFSymbol { ext(.start + ".triangle.swap") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var triangleTurnUpRightCircle: SFSymbol { ext(.start + ".triangle.turn.up.right".circle) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var triangleTurnUpRightCircleFill: SFSymbol { ext(.start + ".triangle.turn.up.right".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var triangleTurnUpRightDiamond: SFSymbol { ext(.start + ".triangle.turn.up.right.diamond") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var triangleTurnUpRightDiamondFill: SFSymbol { ext(.start + ".triangle.turn.up.right.diamond".fill) }

		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var turnDownLeft: SFSymbol { ext(.start + ".turn.down.left") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var turnDownRight: SFSymbol { ext(.start + ".turn.down.right") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var turnLeftDown: SFSymbol { ext(.start + ".turn.left.down") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var turnLeftUp: SFSymbol { ext(.start + ".turn.left.up") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var turnRightDown: SFSymbol { ext(.start + ".turn.right.down") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var turnRightUp: SFSymbol { ext(.start + ".turn.right.up") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var turnUpForwardIphone: SFSymbol { ext(.start + ".turn.up.forward.iphone") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var turnUpForwardIphoneFill: SFSymbol { ext(.start + ".turn.up.forward.iphone".fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var turnUpLeft: SFSymbol { ext(.start + ".turn.up.left") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var turnUpRight: SFSymbol { ext(.start + ".turn.up.right") }

		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var up: SFSymbol { ext(.start + ".up") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upAndDown: SFSymbol { ext(.start + ".up.and.down") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upAndDownAndArrowLeftAndRight: SFSymbol { ext(.start + ".up.and.down.and.arrow.left.and.right") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upAndDownCircle: SFSymbol { ext(.start + ".up.and.down".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upAndDownCircleFill: SFSymbol { ext(.start + ".up.and.down".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upAndDownRighttriangleUpRighttriangleDown: SFSymbol { ext(.start + ".up.and.down.righttriangle.up.righttriangle.down") }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var upAndDownRighttriangleUpRighttriangleDownFill: SFSymbol { ext(.start + ".up.and.down.righttriangle.up.righttriangle.down".fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upAndDownSquare: SFSymbol { ext(.start + ".up.and.down".square) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upAndDownSquareFill: SFSymbol { ext(.start + ".up.and.down".square.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upAndPersonRectanglePortrait: SFSymbol { ext(.start + ".up.and.person".rectangle + ".portrait") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upAndPersonRectangleTurnLeft: SFSymbol { ext(.start + ".up.and.person".rectangle + ".turn.left") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upAndPersonRectangleTurnRight: SFSymbol { ext(.start + ".up.and.person".rectangle + ".turn.right") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upArrowDown: SFSymbol { ext(.start + ".up.arrow.down") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upArrowDownCircle: SFSymbol { ext(.start + ".up.arrow.down".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upArrowDownCircleFill: SFSymbol { ext(.start + ".up.arrow.down".circle.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upArrowDownSquare: SFSymbol { ext(.start + ".up.arrow.down".square) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upArrowDownSquareFill: SFSymbol { ext(.start + ".up.arrow.down".square.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upBackward: SFSymbol { ext(.start + ".up.backward") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upBackwardAndArrowDownForward: SFSymbol { ext(.start + ".up.backward.and.arrow.down.forward") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upBackwardAndArrowDownForwardCircle: SFSymbol { ext(.start + ".up.backward.and.arrow.down.forward".circle) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upBackwardAndArrowDownForwardCircleFill: SFSymbol { ext(.start + ".up.backward.and.arrow.down.forward".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upBackwardCircle: SFSymbol { ext(.start + ".up.backward".circle) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upBackwardCircleFill: SFSymbol { ext(.start + ".up.backward".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upBackwardSquare: SFSymbol { ext(.start + ".up.backward".square) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upBackwardSquareFill: SFSymbol { ext(.start + ".up.backward".square.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upBin: SFSymbol { ext(.start + ".up.bin") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upBinFill: SFSymbol { ext(.start + ".up.bin".fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upCircle: SFSymbol { ext(.start + ".up".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upCircleFill: SFSymbol { ext(.start + ".up".circle.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upDoc: SFSymbol { ext(.start + ".up.doc") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upDocFill: SFSymbol { ext(.start + ".up.doc".fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upDocOnClipboard: SFSymbol { ext(.start + ".up.doc.on.clipboard") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upForward: SFSymbol { ext(.start + ".up.forward") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upForwardApp: SFSymbol { ext(.start + ".up.forward".app) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upForwardAppFill: SFSymbol { ext(.start + ".up.forward".app.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upForwardCircle: SFSymbol { ext(.start + ".up.forward".circle) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upForwardCircleFill: SFSymbol { ext(.start + ".up.forward".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upForwardSquare: SFSymbol { ext(.start + ".up.forward".square) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upForwardSquareFill: SFSymbol { ext(.start + ".up.forward".square.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upHeart: SFSymbol { ext(.start + ".up.heart") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upHeartFill: SFSymbol { ext(.start + ".up.heart".fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upLeft: SFSymbol { ext(.start + ".up.left") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upLeftAndArrowDownRight: SFSymbol { ext(.start + ".up.left.and.arrow.down.right") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upLeftAndArrowDownRightCircle: SFSymbol { ext(.start + ".up.left.and.arrow.down.right".circle) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upLeftAndArrowDownRightCircleFill: SFSymbol { ext(.start + ".up.left.and.arrow.down.right".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upLeftAndDownRightAndArrowUpRightAndDownLeft: SFSymbol { ext(.start + ".up.left.and.down.right.and.arrow.up.right.and.down.left") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upLeftAndDownRightMagnifyingglass: SFSymbol { ext(.start + ".up.left.and.down.right.magnifyingglass") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upLeftCircle: SFSymbol { ext(.start + ".up.left".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upLeftCircleFill: SFSymbol { ext(.start + ".up.left".circle.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upLeftSquare: SFSymbol { ext(.start + ".up.left".square) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upLeftSquareFill: SFSymbol { ext(.start + ".up.left".square.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upMessage: SFSymbol { ext(.start + ".up.message") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var upMessageFill: SFSymbol { ext(.start + ".up.message".fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upRight: SFSymbol { ext(.start + ".up.right") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upRightCircle: SFSymbol { ext(.start + ".up.right".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upRightCircleFill: SFSymbol { ext(.start + ".up.right".circle.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upRightSquare: SFSymbol { ext(.start + ".up.right".square) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upRightSquareFill: SFSymbol { ext(.start + ".up.right".square.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upRightVideo: SFSymbol { ext(.start + ".up.right.video") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upRightVideoFill: SFSymbol { ext(.start + ".up.right.video".fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upSquare: SFSymbol { ext(.start + ".up".square) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upSquareFill: SFSymbol { ext(.start + ".up".square.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var upToLine: SFSymbol { ext(.start + ".up.to.line") }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var upToLineCircle: SFSymbol { ext(.start + ".up.to.line".circle) }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var upToLineCircleFill: SFSymbol { ext(.start + ".up.to.line".circle.fill) }
		@available(iOS 15.0, macOS 12.0, tvOS 15.0, watchOS 8.0, *)
		open var upToLineCompact: SFSymbol { ext(.start + ".up.to.line.compact") }

		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var uturnBackward: SFSymbol { ext(.start + ".uturn.backward") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var uturnBackwardCircle: SFSymbol { ext(.start + ".uturn.backward".circle) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var uturnBackwardCircleBadgeEllipsis: SFSymbol { ext(.start + ".uturn.backward".circle + ".badge.ellipsis") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var uturnBackwardCircleFill: SFSymbol { ext(.start + ".uturn.backward".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var uturnBackwardSquare: SFSymbol { ext(.start + ".uturn.backward".square) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var uturnBackwardSquareFill: SFSymbol { ext(.start + ".uturn.backward".square.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnDown: SFSymbol { ext(.start + ".uturn.down") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnDownCircle: SFSymbol { ext(.start + ".uturn.down".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnDownCircleFill: SFSymbol { ext(.start + ".uturn.down".circle.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnDownSquare: SFSymbol { ext(.start + ".uturn.down".square) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnDownSquareFill: SFSymbol { ext(.start + ".uturn.down".square.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var uturnForward: SFSymbol { ext(.start + ".uturn.forward") }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var uturnForwardCircle: SFSymbol { ext(.start + ".uturn.forward".circle) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var uturnForwardCircleFill: SFSymbol { ext(.start + ".uturn.forward".circle.fill) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var uturnForwardSquare: SFSymbol { ext(.start + ".uturn.forward".square) }
		@available(iOS 14.0, macOS 11.0, tvOS 14.0, watchOS 7.0, *)
		open var uturnForwardSquareFill: SFSymbol { ext(.start + ".uturn.forward".square.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnLeft: SFSymbol { ext(.start + ".uturn.left") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnLeftCircle: SFSymbol { ext(.start + ".uturn.left".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnLeftCircleBadgeEllipsis: SFSymbol { ext(.start + ".uturn.left".circle + ".badge.ellipsis") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnLeftCircleFill: SFSymbol { ext(.start + ".uturn.left".circle.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnLeftSquare: SFSymbol { ext(.start + ".uturn.left".square) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnLeftSquareFill: SFSymbol { ext(.start + ".uturn.left".square.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnRight: SFSymbol { ext(.start + ".uturn.right") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnRightCircle: SFSymbol { ext(.start + ".uturn.right".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnRightCircleFill: SFSymbol { ext(.start + ".uturn.right".circle.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnRightSquare: SFSymbol { ext(.start + ".uturn.right".square) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnRightSquareFill: SFSymbol { ext(.start + ".uturn.right".square.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnUp: SFSymbol { ext(.start + ".uturn.up") }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnUpCircle: SFSymbol { ext(.start + ".uturn.up".circle) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnUpCircleFill: SFSymbol { ext(.start + ".uturn.up".circle.fill) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnUpSquare: SFSymbol { ext(.start + ".uturn.up".square) }
		@available(iOS 13.0, macOS 10.15, tvOS 13.0, watchOS 6.0, *)
		open var uturnUpSquareFill: SFSymbol { ext(.start + ".uturn.up".square.fill) }

	}
}